//? cpmdimdefwrc.h
//? C+- by Ulrich Mutze. Status of work 2009-08-03.
//? Copyright (c) 2009 Ulrich Mutze, www.ulrichmutze.de
//? All rights reserved

#ifndef CPM_DIMDEF_H_
#define CPM_DIMDEF_H_
/*************************************************************************
   cpmdimdef.h
   Description: In this file one defines whether the
   model to be built will be 2D or 3D or whether compilation
   provides both options and selection can be done at run time
   by means of an ini-file. Since reference to a dimension
   occurs already in cpminifilebasapp.(h,cpp) we need the file
   yet in cpm1, although main usage occurs in cpm2.

*************************************************************************/
// See file cpmdefinitionswrc.h for the meaning of the 'wrc'-appendix.

#define CPM_DIMDEF2
#define CPM_DIMDEF3
   //  One or both may be defined. Using both puts stress
   //  on the compiler.
   //  For compiling PaLa, both should be defined.
#endif
